kvitera
API-справочник

Проверить чек

POST
/v1/checks

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

idempotency-key?|null

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/checks" \  -F file="string" \  -F expectation="string"
{  "id": "string",  "status": "done",  "created_at": "2019-08-24T14:15:22Z",  "tenant_id": "string",  "order_ref": "string",  "profile": "string",  "profile_version": 0,  "mode": "pdf",  "document": {    "verdict": "genuine",    "family": "string",    "checks": [      {        "name": "string",        "hard": true,        "passed": true,        "detail": ""      }    ]  },  "fields": {    "bank": "string",    "amount": 0,    "currency": "string",    "type": "client_transfer",    "status_ok": true,    "receipt_number": "string",    "paid_at": "2019-08-24T14:15:22Z",    "paid_at_source": "receipt_number",    "recipient_name": "string",    "recipient_account": "string",    "payment_reference": "string",    "purpose": "string",    "sender_name": "string",    "commission": 0,    "source": "string",    "language": "string",    "confidence": {      "property1": 0,      "property2": 0    }  },  "match": {    "bank": true,    "amount": true,    "currency": true,    "recipient": true,    "window": true,    "type": true,    "status": true,    "payment_reference": true  },  "replay": {    "seen_before": false,    "duplicate_of": "string",    "keys_matched": [      "string"    ]  },  "recommendation": "accept",  "reasons": [    "string"  ],  "error": {    "code": "string",    "message": "string",    "retryable": true  },  "cost": {    "vlm_usd": 0,    "vlm_tokens": 0,    "latency_ms": 0,    "models": [      "string"    ],    "model_usage": [      {        "model": "string",        "tokens": 0,        "usd": 0,        "calls": 1      }    ]  }}